CVE-2006-4020

2006-08-08T20:04:00
ID CVE-2006-4020
Type cve
Reporter cve@mitre.org
Modified 2018-10-30T16:25:00

Description

scanf.c in PHP 5.1.4 and earlier, and 4.4.3 and earlier, allows context-dependent attackers to execute arbitrary code via a sscanf PHP function call that performs argument swapping, which increments an index past the end of an array and triggers a buffer over-read. A Patch(es) addressing this vulnerability can be found here: http://snaps.php.net/